Bug 31055 - misleading font replacement for list bullets
Summary: misleading font replacement for list bullets
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86 (IA32) Windows (All)
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.1.0 target:4.0.0.0.beta2 tar...
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-22 12:29 UTC by Daniil Bratashov
Modified: 2013-01-03 18:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
example of such list (32.81 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2010-10-22 12:29 UTC, Daniil Bratashov
Details
How the bullets looks like in Mac OSX 10.8.2 using LO 4.1 master (16.60 KB, image/png)
2013-01-03 17:06 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniil Bratashov 2010-10-22 12:29:11 UTC
Created attachment 39634 [details]
example of such list

Windings2 font used for list bullets in Office 2007 documents is incorrectly substituted, so bullets usually become some CJK symbols.
Comment 1 Daniil Bratashov 2010-10-22 12:31:33 UTC
or even less suitable symbols with linux fonts.
Comment 2 Noel Power 2010-10-27 03:01:00 UTC
is there some legal free substitute for windings2 ? I'm not there is, 
Tor, have you any idea?
Comment 3 Tor Lillqvist 2010-10-27 03:40:45 UTC
Sorry, no idea, but I googled. This document http://www.alanwood.net/demos/wingdings-2.html seems to indicate that for most Wingdings 2 character there is no Unicode substitute. (That might have changed in the latest Unicode version, though, it now includes a lot more dingbat and logo type characters. But those new characters are hardly covered by many of the Free fonts out there anyway.) I found no Free equivalent fonts.

(For what it's worth, in a build of Novell OOo 3.2.1 I have on Windows, the bullets look the same in Impress as in Excel 2007. But that is on a machine that also has MS Office 2007, so it presumably then actually uses the Wingdings 2 font. In a machine with LibreOffice 3.3 and no MS Office, just a  rectangle is shown (presumably meaning "glyph missing".)

Probably the sanest thing to do in LibreOffice would be to just show some generic bullet if the specific one the document asks for isn't available. I don't know why it chooses a CJK character for you, that surely is pointless and a bug, yes.
Comment 4 Not Assigned 2012-12-17 15:56:36 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0d777f33a1d818a7fd27d755e54db64823f46636

Resolves: fdo#31055 fallback to a default bullet on symbol lack



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Not Assigned 2012-12-17 16:07:46 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a71dab147afa218d18b092d047c186c2b169612d&g=libreoffice-4-0

Resolves: fdo#31055 fallback to a default bullet on symbol lack


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2012-12-17 16:15:58 UTC
Yeah, the ideal solution is, someone...
a) draws the additional glyphs in our OpenSymbol font (see extras/source/truetype/symbol/OpenSymbol.sfd)
b) updates the mapping tables in unotools/source/misc/fontcvt.cxx to add the extra mapping entries from that codepoint and source font to opensymbol

In the absence of a suitable replacement for the glyphs in your examples, you're right, we should fallback to something bullet-alike for the "pure" symbol-fonts.
Comment 7 Not Assigned 2012-12-20 09:34:15 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ffb34388060090f3f627d74b903499aa80c6de1e&g=libreoffice-3-6

Resolves: fdo#31055 fallback to a default bullet on symbol lack


It will be available in LibreOffice 3.6.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Jorendc 2013-01-03 17:05:49 UTC
(In reply to comment #6)
> Yeah, the ideal solution is, someone...
> a) draws the additional glyphs in our OpenSymbol font (see
> extras/source/truetype/symbol/OpenSymbol.sfd)
> b) updates the mapping tables in unotools/source/misc/fontcvt.cxx to add the
> extra mapping entries from that codepoint and source font to opensymbol
> 
> In the absence of a suitable replacement for the glyphs in your examples,
> you're right, we should fallback to something bullet-alike for the "pure"
> symbol-fonts.

I'll upload a screenshot how it's look right now in LO 4.1.0.0.alpha0+ (Build ID: 669c27ca0575e046b37db7ecc0a3d24ed2001a6)
TinderBox: MacOSX-Intel@1-built_no-moz_on_10.6.8, Branch:master, Time: 2013-01-02_23:39:31
The bullets are a small square in a bigger square. I'm not sure this is the correct behavior?
Comment 9 Jorendc 2013-01-03 17:06:22 UTC
Created attachment 72465 [details]
How the bullets looks like in Mac OSX 10.8.2 using LO 4.1 master
Comment 10 Daniil Bratashov 2013-01-03 17:20:41 UTC
Bullets on screenshot seems to be reasonable replacement for the original one.
Comment 11 Jorendc 2013-01-03 18:53:36 UTC
(In reply to comment #10)
> Bullets on screenshot seems to be reasonable replacement for the original
> one.

Ok thanks -> VERIFIED FIXED